Subject: [T2TRG] Introducing myself & IOTDB

From: David Janes <[email-masked]>
Date: Mon, 25 Jan 2016 06:31:54 -0500

I'm David Janes and I've been working on an Open Source project called
IOTDB for the last 3 years. IOTDB stands for "the Internet of Things
Database" and its approach is _not_ to say "here's how we control a TV,
here's how we control a Light" but rather "here's a description of those
things". It's a _descriptive_ standard, rather than a _prescriptive_ one.

So for example, we don't have a "Light" model: we have a Model describes
all the Things a light can be done: it can be turned on and off, it can
change it's color, it can change it's brightness - assuming a light can do
all those things. Some lights can only be turned on and off; some lights
have a brightness control but not a color control and so forth.

Manipulation of Things is based on the REST Model, and in particular only
two verbs: GET and PUT. There is no POST (nor a need for one).

The APIs that our software are HATEOAS: you navigate to Things (and Thing's
bands) based on URLs that are exposed in the API.